My Project: dht::crypto::RevocationList Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dht::crypto::RevocationList Class Reference

## Public Member Functions
| RevocationList (const Blob &b)
| RevocationList (RevocationList &&o) noexcept
RevocationList & | operator= (RevocationList &&o)
void | pack (Blob &b) const
void | unpack (const uint8_t *dat, size_t dat_size)
Blob | getPacked () const
template<typename Packer>
void | msgpack_pack (Packer &p) const
void | msgpack_unpack (const msgpack::object &o)
void | revoke (const Certificate &crt, time_point t=time_point::min())
bool | isRevoked (const Certificate &crt) const
void | sign (const PrivateKey &, const Certificate &, duration validity_period={})
void | sign (const Identity &id)
bool | isSignedBy (const Certificate &issuer) const
std::string | toString () const
Blob | getNumber () const
std::string | getIssuerName () const
std::string | getIssuerUID () const
time_point | getUpdateTime () const
time_point | getNextUpdateTime () const
gnutls_x509_crl_t | get ()
gnutls_x509_crl_t | getCopy () const

## Detailed Description

Definition at line 221 of file crypto.h.

## Constructor & Destructor Documentation

## ◆ RevocationList()

dht::crypto::RevocationList::RevocationList | ( | RevocationList && | o | ) |
| inlinenoexcept

Definition at line 230 of file crypto.h.

## Member Function Documentation

## ◆ get()

gnutls_x509_crl_t dht::crypto::RevocationList::get | ( |  | ) |
| inline

Definition at line 292 of file crypto.h.

## ◆ getCopy()

gnutls_x509_crl_t dht::crypto::RevocationList::getCopy | ( |  | ) | const
| inline

Definition at line 293 of file crypto.h.

## ◆ getIssuerName()

std::string dht::crypto::RevocationList::getIssuerName | ( |  | ) | const

Read CRL issuer Common Name (CN)

## ◆ getIssuerUID()

std::string dht::crypto::RevocationList::getIssuerUID | ( |  | ) | const

Read CRL issuer User ID (UID)

## ◆ getNumber()

Blob dht::crypto::RevocationList::getNumber | ( |  | ) | const

Read the CRL number extension field.

## ◆ getPacked()

Blob dht::crypto::RevocationList::getPacked | ( |  | ) | const
| inline

Definition at line 246 of file crypto.h.

## ◆ msgpack_pack()

template<typename Packer>

void dht::crypto::RevocationList::msgpack_pack | ( | Packer & | p | ) | const
| inline

Definition at line 254 of file crypto.h.

## ◆ operator=()

RevocationList & dht::crypto::RevocationList::operator= | ( | RevocationList && | o | ) |
| inline

Definition at line 237 of file crypto.h.

## ◆ sign() [1/2]

void dht::crypto::RevocationList::sign | ( | const Identity & | id | ) |
| inline

Definition at line 272 of file crypto.h.

## ◆ sign() [2/2]

void dht::crypto::RevocationList::sign | ( | const PrivateKey & | ,
|  | const Certificate & | ,
|  | duration | validity_period = {} )

Sign this revocation list using provided key and certificate. Validity_period sets the duration until next update (default to no next update).

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/crypto.h